Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoMarshalSpec.data_union.safearray_data_struct

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoMarshalSpec.data_union.safearray_data_struct,MonoMarshalSpec.data_union.safearray_data_struct.ByValue,MonoMarshalSpec.data_union.safearray_data_struct.ByReference>
              com.nativelibs4java.mono.MonoMarshalSpec.data_union.safearray_data_struct

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoMarshalSpec.data_union.safearray_data_struct,MonoMarshalSpec.data_union.safearray_data_struct.ByValue,MonoMarshalSpec.data_union.safearray_data_struct.ByReference>>

Direct Known Subclasses:
  MonoMarshalSpec.data_union.safearray_data_struct.ByReference, MonoMarshalSpec.data_union.safearray_data_struct.ByValue

Enclosing class:
  MonoMarshalSpec.data_union

    public static class MonoMarshalSpec.data_union.safearray_data_struct

extends Structure<MonoMarshalSpec.data_union.safearray_data_struct,MonoMarshalSpec.data_union.safearray_data_struct.ByValue,MonoMarshalSpec.data_union.safearray_data_struct.ByReference>

Nested Class Summary
`static class` | `MonoMarshalSpec.data_union.safearray_data_struct.ByReference`
`static class` | `MonoMarshalSpec.data_union.safearray_data_struct.ByValue`

Field Summary
`int` | `elem_type`
`int` | `num_elem`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoMarshalSpec.data_union.safearray_data_struct()`
`MonoMarshalSpec.data_union.safearray_data_struct(int elem_type, int num_elem)`

Method Summary
`protected MonoMarshalSpec.data_union.safearray_data_struct.ByReference` | `newByReference()`
`protected MonoMarshalSpec.data_union.safearray_data_struct.ByValue` | `newByValue()`
`protected MonoMarshalSpec.data_union.safearray_data_struct` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### elem_type

    public int elem_type

### num_elem

    public int num_elem

Constructor Detail

### MonoMarshalSpec.data_union.safearray_data_struct

    public MonoMarshalSpec.data_union.safearray_data_struct()

### MonoMarshalSpec.data_union.safearray_data_struct

    public MonoMarshalSpec.data_union.safearray_data_struct(int elem_type,
                                                            int num_elem)

Method Detail

### newByReference

    protected MonoMarshalSpec.data_union.safearray_data_struct.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoMarshalSpec.data_union.safearray_data_struct,MonoMarshalSpec.data_union.safearray_data_struct.ByValue,MonoMarshalSpec.data_union.safearray_data_struct.ByReference>`

### newByValue

    protected MonoMarshalSpec.data_union.safearray_data_struct.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoMarshalSpec.data_union.safearray_data_struct,MonoMarshalSpec.data_union.safearray_data_struct.ByValue,MonoMarshalSpec.data_union.safearray_data_struct.ByReference>`

### newInstance

    protected MonoMarshalSpec.data_union.safearray_data_struct newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoMarshalSpec.data_union.safearray_data_struct,MonoMarshalSpec.data_union.safearray_data_struct.ByValue,MonoMarshalSpec.data_union.safearray_data_struct.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD